Bookpal/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('library.urls')),
    path('account/', include('account.urls')),
    path('account/', include('account.urls2')),
]

account/urls.py
from django.urls import path, include

from . import views

app_name="account"

urlpatterns = [
        path('login/', views.user_login, name = 'login'),
        path('logout/', views.user_logout, name = 'logout'),
        path('', views.dashboard, name = 'dashboard'),
        path('register/', views.register, name='register'),
        path('users/', views.users_list, name="users_list"),
        path('users/<username>/', views.user_info, name="user_info"),
        path('edit_profile/', views.edit_profile, name="profile_edit")
]

library/urls.py
from django.urls import path

from . import views

app_name = "library"

urlpatterns = [
        path('', views.index, name = 'index'),
        path('library/', views.redirect_to_index),
        path('library/<slug:book_slug>', views.book_info, name='book'),
        path('library/category/<cate>', views.category, 
                                            name='category'),
]

templates/base.html
<!DOCTYPE html>
<html>
	<head>
		<title>{% block title %}{% endblock %}</title>
	</head>
	<body>
		<div id="header">
			<h2><a href="{% url 'library:index' %}">Bookpal</a></h2>
			{% if request.user.is_authenticated %}
			<ul>
				<li {% if section == "dashboard" %}class="selected"{% endif %}>
					<a href='{% url "account:dashboard" %}'>My Dashboard</a>
				</li>
				<li {% if section == "users" %}class="selected"{% endif %}>
					<a href='{% url "account:users_list" %}'>users list</a>
				</li>
			</ul>
			{% endif %}
			
			<span class="user">
				{% if request.user.is_authenticated %}
					Hello {{ request.user.first_name }},
					<a href="{% url 'account:logout' %}">Logout</a>
				{% else %}
					<a href="{% url 'account:login' %}">Log-in</a>
				{% endif %}
			</span>
		</div>
		<hr>
		<div id="content">
			{% block content %}
			{% endblock %}
		</div>
	</body>
</html>